View Issue Details

IDProjectCategoryLast Update
0024306AI War 2[All Projects] Gameplay IssueMar 10, 2021 9:45 am
ReporterSigma7Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.713 Marauding Again 
Fixed in VersionBeta 2.754 Buffs And Bugfixes 
Summary0024306: Vulnerable AI Eye
DescriptionAy, AI's AI Eye says that it should be invulnerable when there's at least two guard posts. But I knocked out one of the four guard posts, and it's now vulnerable to attack.

Autosave is before, you can see it in Shaw. The other is the during, where the shield is nearly stripped.

I'm uncertain about the expected result, only that it doesn't match with what's written. It looks like an off-by-one, perhaps a few in a row; the data file says three, the code treats that as requiring four on the map, and the text does the opposite by saying there's only two needed.

* KDL_Ships_AIStructures.xml:741: external_invulnerability_unit_required_count="3"
* AI.cs:7357,7410,7458: if(RelatedEntityOrNull.CountOfEntitiesProvidingExternalInvulnerability > RelatedEntityTypeData.ExternalInvulnerabilityUnitRequiredCount )
* AI.cs:7374,7427,7475: Buffer.Add( " To have invulnerability, it requires at least " ).Add( ( RelatedEntityTypeData.ExternalInvulnerabilityUnitRequiredCount - 1 )
* Fireteam.cs:972: if ( entity == null || entity.CountOfEntitiesProvidingExternalInvulnerability > entity.TypeData.ExternalInvulnerabilityUnitRequiredCount )
TagsNo tags attached.

Relationships

has duplicate 0024456 resolvedx4000Bughunter Eyes guardpost protection is incorrect 

Activities

Sigma7

Jan 7, 2021 8:52 pm

reporter  

Moderate Security Alert.zip (805,111 bytes)

ArnaudB

Jan 8, 2021 6:57 am

reporter   ~0060230

That's normal. Eyes are vulnerable when there are 3 guard posts left.

Sigma7

Jan 8, 2021 11:20 am

reporter   ~0060232

The loss of vulnerability when three posts remain may be correct, but the text is saying the eye is invulnerable when at least two remain. Still remains a bug when text and gameplay doesn't match up.

Change was documented here: https://wiki.arcengames.com/index.php?title=AI_War_2:Sunset_of_The_Badger_Era#Version_2.130_Redux:_Dutch_Cities_and_Softer_Eyeballs

It feels like there was more than one idea for that variable, and they're conflicting with each other.

Crabby

Jan 8, 2021 7:00 pm

reporter   ~0060254

They need to fix the text for the eye vulnerability. That way newer players don't panic when three guard posts are alive with an eye waiting to activate.

Sigma7

Mar 5, 2021 10:51 pm

reporter   ~0060691

Spotted as fixed in the 2.750 changelog.

Strategic Sage

Mar 7, 2021 4:33 pm

reporter   ~0060701

Can confirm that is actually fixed.

x4000Bughunter

Mar 10, 2021 9:45 am

administrator   ~0060721

Thank you! I was hoping this was fixed, but not sure since I had not gone in-game to verify it.

Issue History

Date Modified Username Field Change
Jan 7, 2021 8:52 pm Sigma7 New Issue
Jan 7, 2021 8:52 pm Sigma7 File Added: Moderate Security Alert.zip
Jan 8, 2021 6:57 am ArnaudB Note Added: 0060230
Jan 8, 2021 11:20 am Sigma7 Note Added: 0060232
Jan 8, 2021 7:00 pm Crabby Note Added: 0060254
Feb 21, 2021 12:02 am Sigma7 Relationship added has duplicate 0024456
Mar 5, 2021 10:51 pm Sigma7 Note Added: 0060691
Mar 7, 2021 4:33 pm Strategic Sage Note Added: 0060701
Mar 10, 2021 9:45 am x4000Bughunter Assigned To => x4000Bughunter
Mar 10, 2021 9:45 am x4000Bughunter Status new => resolved
Mar 10, 2021 9:45 am x4000Bughunter Resolution open => fixed
Mar 10, 2021 9:45 am x4000Bughunter Fixed in Version => Beta 2.754 Buffs And Bugfixes
Mar 10, 2021 9:45 am x4000Bughunter Note Added: 0060721